Skip to main content
GET
/
tickets
Get all tickets
curl --request GET \
  --url https://api.getprimo.com/tickets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "reference": "<string>",
      "title": "<string>",
      "status": "PENDING",
      "priority": "LOW",
      "assignee": {
        "type": "<string>",
        "email": "<string>"
      },
      "dueDate": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "totalElements": 4503599627370495,
    "totalPages": 4503599627370495,
    "page": 4503599627370496,
    "perPage": 50
  }
}
Key: Read Scope: Company

Authorizations

Authorization
string
header
required

Use your Primo API key in the Authorization header as Bearer <API_KEY>.

Query Parameters

page
number
default:1

Page number

Required range: 1 <= x <= 9007199254740991
perPage
number
default:50

Number of items per page (max 100)

Required range: 1 <= x <= 100
status
enum<string>
Available options:
PENDING,
IN_PROGRESS,
COMPLETED,
CANCELLED
priority
enum<string>
Available options:
LOW,
MEDIUM,
HIGH
searchTerm
string
Minimum string length: 1
assigneeEmployeeId
string
sortBy
enum<string>
Available options:
status,
priority,
reference,
title,
tasksCount
sortDirection
enum<string>
Available options:
ASC,
DESC

Response

default - application/json
data
object[]
required
pagination
object
required